$schema: "https://json-schema.org/draft/2020-12/schema"
title: "Cholesterol"
type: "object"
required:
  - total_cholesterol
  - hdl_cholesterol
properties:
  total_cholesterol:
    $ref: '#/definitions/TotalCholesterol'
  hdl_cholesterol:
    $ref: '#/definitions/HDLCholesterol'
additionalProperties: false

definitions:
  TotalCholesterol:
    title: Total Cholesterol Level
    description: mg/dL (must be between 130 - 320)
    type: number
    minimum: 130
    maximum: 320
  HDLCholesterol:
    title: HDL Cholesterol Level
    description: mg/dL (must be between 20 - 100)
    type: ["number", "null"]
    minimum: 20
    maximum: 100
